import * as bingo_stratum1153 from "bingo-stratum";
import * as zod1024 from "zod";

//#region src/presets/common.d.ts
declare const presetCommon: bingo_stratum1153.Preset<{
  access: zod1024.ZodUnion<[zod1024.ZodLiteral<"public">, zod1024.ZodLiteral<"restricted">]>;
  author: zod1024.ZodOptional<zod1024.ZodString>;
  bin: zod1024.ZodOptional<zod1024.ZodUnion<[zod1024.ZodString, zod1024.ZodRecord<zod1024.ZodString, zod1024.ZodString>]>>;
  contributors: zod1024.ZodOptional<zod1024.ZodArray<zod1024.ZodObject<{
    avatar_url: zod1024.ZodString;
    contributions: zod1024.ZodArray<zod1024.ZodString, "many">;
    login: zod1024.ZodString;
    name: zod1024.ZodString;
    profile: zod1024.ZodString;
  }, "strip", zod1024.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod1024.ZodDefault<zod1024.ZodString>;
  directory: zod1024.ZodString;
  documentation: zod1024.ZodObject<{
    development: zod1024.ZodOptional<zod1024.ZodString>;
    readme: zod1024.ZodObject<{
      additional: zod1024.ZodOptional<zod1024.ZodString>;
      explainer: zod1024.ZodOptional<zod1024.ZodString>;
      footnotes: zod1024.ZodOptional<zod1024.ZodString>;
      usage: zod1024.ZodOptional<zod1024.ZodString>;
    }, "strip", zod1024.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod1024.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod1024.ZodEffects<zod1024.ZodUnion<[zod1024.ZodString, zod1024.ZodObject<{
    github: zod1024.ZodString;
    npm: zod1024.ZodString;
  }, "strip", zod1024.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod1024.ZodOptional<zod1024.ZodString>;
  existingLabels: zod1024.ZodOptional<zod1024.ZodArray<zod1024.ZodObject<{
    color: zod1024.ZodString;
    description: zod1024.ZodString;
    name: zod1024.ZodString;
  }, "strip", zod1024.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod1024.ZodOptional<zod1024.ZodString>;
  guide: zod1024.ZodOptional<zod1024.ZodObject<{
    href: zod1024.ZodString;
    title: zod1024.ZodString;
  }, "strip", zod1024.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod1024.ZodOptional<zod1024.ZodArray<zod1024.ZodString, "many">>;
  logo: zod1024.ZodOptional<zod1024.ZodObject<{
    alt: zod1024.ZodString;
    height: zod1024.ZodOptional<zod1024.ZodNumber>;
    src: zod1024.ZodString;
    width: zod1024.ZodOptional<zod1024.ZodNumber>;
  }, "strip", zod1024.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod1024.ZodObject<{
    minimum: zod1024.ZodString;
    pinned: zod1024.ZodOptional<zod1024.ZodString>;
  }, "strip", zod1024.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod1024.ZodString;
  packageData: zod1024.ZodOptional<zod1024.ZodObject<{
    dependencies: zod1024.ZodOptional<zod1024.ZodRecord<zod1024.ZodString, zod1024.ZodString>>;
    devDependencies: zod1024.ZodOptional<zod1024.ZodRecord<zod1024.ZodString, zod1024.ZodString>>;
    peerDependencies: zod1024.ZodOptional<zod1024.ZodRecord<zod1024.ZodString, zod1024.ZodString>>;
    peerDependenciesMeta: zod1024.ZodOptional<zod1024.ZodRecord<zod1024.ZodString, zod1024.ZodUnknown>>;
    scripts: zod1024.ZodOptional<zod1024.ZodRecord<zod1024.ZodString, zod1024.ZodOptional<zod1024.ZodString>>>;
  }, "strip", zod1024.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod1024.ZodOptional<zod1024.ZodString>;
  repository: zod1024.ZodString;
  rulesetId: zod1024.ZodOptional<zod1024.ZodString>;
  title: zod1024.ZodString;
  type: zod1024.ZodOptional<zod1024.ZodUnion<[zod1024.ZodLiteral<"commonjs">, zod1024.ZodLiteral<"module">]>>;
  version: zod1024.ZodOptional<zod1024.ZodString>;
  words: zod1024.ZodOptional<zod1024.ZodArray<zod1024.ZodString, "many">>;
  workflowsVersions: zod1024.ZodOptional<zod1024.ZodRecord<zod1024.ZodString, zod1024.ZodRecord<zod1024.ZodString, zod1024.ZodObject<{
    hash: zod1024.ZodOptional<zod1024.ZodString>;
    pinned: zod1024.ZodOptional<zod1024.ZodBoolean>;
  }, "strip", zod1024.ZodTypeAny, {
    hash?: string | undefined;
    pinned?: boolean | undefined;
  }, {
    hash?: string | undefined;
    pinned?: boolean | undefined;
  }>>>>;
}>;
//# sourceMappingURL=common.d.ts.map
//#endregion
export { presetCommon };
//# sourceMappingURL=common.d.ts.map