import * as bingo_stratum452 from "bingo-stratum";
import * as zod323 from "zod";

//#region src/presets/everything.d.ts
declare const presetEverything: bingo_stratum452.Preset<{
  access: zod323.ZodUnion<[zod323.ZodLiteral<"public">, zod323.ZodLiteral<"restricted">]>;
  author: zod323.ZodOptional<zod323.ZodString>;
  bin: zod323.ZodOptional<zod323.ZodUnion<[zod323.ZodString, zod323.ZodRecord<zod323.ZodString, zod323.ZodString>]>>;
  contributors: zod323.ZodOptional<zod323.ZodArray<zod323.ZodObject<{
    avatar_url: zod323.ZodString;
    contributions: zod323.ZodArray<zod323.ZodString, "many">;
    login: zod323.ZodString;
    name: zod323.ZodString;
    profile: zod323.ZodString;
  }, "strip", zod323.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod323.ZodDefault<zod323.ZodString>;
  directory: zod323.ZodString;
  documentation: zod323.ZodObject<{
    development: zod323.ZodOptional<zod323.ZodString>;
    readme: zod323.ZodObject<{
      additional: zod323.ZodOptional<zod323.ZodString>;
      explainer: zod323.ZodOptional<zod323.ZodString>;
      footnotes: zod323.ZodOptional<zod323.ZodString>;
      usage: zod323.ZodOptional<zod323.ZodString>;
    }, "strip", zod323.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod323.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod323.ZodEffects<zod323.ZodUnion<[zod323.ZodString, zod323.ZodObject<{
    github: zod323.ZodString;
    npm: zod323.ZodString;
  }, "strip", zod323.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod323.ZodOptional<zod323.ZodString>;
  existingLabels: zod323.ZodOptional<zod323.ZodArray<zod323.ZodObject<{
    color: zod323.ZodString;
    description: zod323.ZodString;
    name: zod323.ZodString;
  }, "strip", zod323.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod323.ZodOptional<zod323.ZodString>;
  guide: zod323.ZodOptional<zod323.ZodObject<{
    href: zod323.ZodString;
    title: zod323.ZodString;
  }, "strip", zod323.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod323.ZodOptional<zod323.ZodArray<zod323.ZodString, "many">>;
  logo: zod323.ZodOptional<zod323.ZodObject<{
    alt: zod323.ZodString;
    height: zod323.ZodOptional<zod323.ZodNumber>;
    src: zod323.ZodString;
    width: zod323.ZodOptional<zod323.ZodNumber>;
  }, "strip", zod323.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod323.ZodObject<{
    minimum: zod323.ZodString;
    pinned: zod323.ZodOptional<zod323.ZodString>;
  }, "strip", zod323.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod323.ZodString;
  packageData: zod323.ZodOptional<zod323.ZodObject<{
    dependencies: zod323.ZodOptional<zod323.ZodRecord<zod323.ZodString, zod323.ZodString>>;
    devDependencies: zod323.ZodOptional<zod323.ZodRecord<zod323.ZodString, zod323.ZodString>>;
    peerDependencies: zod323.ZodOptional<zod323.ZodRecord<zod323.ZodString, zod323.ZodString>>;
    peerDependenciesMeta: zod323.ZodOptional<zod323.ZodRecord<zod323.ZodString, zod323.ZodUnknown>>;
    scripts: zod323.ZodOptional<zod323.ZodRecord<zod323.ZodString, zod323.ZodOptional<zod323.ZodString>>>;
  }, "strip", zod323.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod323.ZodOptional<zod323.ZodString>;
  repository: zod323.ZodString;
  rulesetId: zod323.ZodOptional<zod323.ZodString>;
  title: zod323.ZodString;
  type: zod323.ZodOptional<zod323.ZodUnion<[zod323.ZodLiteral<"commonjs">, zod323.ZodLiteral<"module">]>>;
  version: zod323.ZodOptional<zod323.ZodString>;
  words: zod323.ZodOptional<zod323.ZodArray<zod323.ZodString, "many">>;
  workflowsVersions: zod323.ZodOptional<zod323.ZodRecord<zod323.ZodString, zod323.ZodRecord<zod323.ZodString, zod323.ZodObject<{
    hash: zod323.ZodOptional<zod323.ZodString>;
    pinned: zod323.ZodOptional<zod323.ZodBoolean>;
  }, "strip", zod323.ZodTypeAny, {
    hash?: string | undefined;
    pinned?: boolean | undefined;
  }, {
    hash?: string | undefined;
    pinned?: boolean | undefined;
  }>>>>;
}>;
//# sourceMappingURL=everything.d.ts.map
//#endregion
export { presetEverything };
//# sourceMappingURL=everything.d.ts.map