import * as bingo_stratum1021 from "bingo-stratum";
import * as zod892 from "zod";

//#region src/presets/minimal.d.ts
declare const presetMinimal: bingo_stratum1021.Preset<{
  access: zod892.ZodUnion<[zod892.ZodLiteral<"public">, zod892.ZodLiteral<"restricted">]>;
  author: zod892.ZodOptional<zod892.ZodString>;
  bin: zod892.ZodOptional<zod892.ZodUnion<[zod892.ZodString, zod892.ZodRecord<zod892.ZodString, zod892.ZodString>]>>;
  contributors: zod892.ZodOptional<zod892.ZodArray<zod892.ZodObject<{
    avatar_url: zod892.ZodString;
    contributions: zod892.ZodArray<zod892.ZodString, "many">;
    login: zod892.ZodString;
    name: zod892.ZodString;
    profile: zod892.ZodString;
  }, "strip", zod892.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod892.ZodDefault<zod892.ZodString>;
  directory: zod892.ZodString;
  documentation: zod892.ZodObject<{
    development: zod892.ZodOptional<zod892.ZodString>;
    readme: zod892.ZodObject<{
      additional: zod892.ZodOptional<zod892.ZodString>;
      explainer: zod892.ZodOptional<zod892.ZodString>;
      footnotes: zod892.ZodOptional<zod892.ZodString>;
      usage: zod892.ZodOptional<zod892.ZodString>;
    }, "strip", zod892.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod892.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod892.ZodEffects<zod892.ZodUnion<[zod892.ZodString, zod892.ZodObject<{
    github: zod892.ZodString;
    npm: zod892.ZodString;
  }, "strip", zod892.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod892.ZodOptional<zod892.ZodString>;
  existingLabels: zod892.ZodOptional<zod892.ZodArray<zod892.ZodObject<{
    color: zod892.ZodString;
    description: zod892.ZodString;
    name: zod892.ZodString;
  }, "strip", zod892.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod892.ZodOptional<zod892.ZodString>;
  guide: zod892.ZodOptional<zod892.ZodObject<{
    href: zod892.ZodString;
    title: zod892.ZodString;
  }, "strip", zod892.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod892.ZodOptional<zod892.ZodArray<zod892.ZodString, "many">>;
  logo: zod892.ZodOptional<zod892.ZodObject<{
    alt: zod892.ZodString;
    height: zod892.ZodOptional<zod892.ZodNumber>;
    src: zod892.ZodString;
    width: zod892.ZodOptional<zod892.ZodNumber>;
  }, "strip", zod892.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod892.ZodObject<{
    minimum: zod892.ZodString;
    pinned: zod892.ZodOptional<zod892.ZodString>;
  }, "strip", zod892.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod892.ZodString;
  packageData: zod892.ZodOptional<zod892.ZodObject<{
    dependencies: zod892.ZodOptional<zod892.ZodRecord<zod892.ZodString, zod892.ZodString>>;
    devDependencies: zod892.ZodOptional<zod892.ZodRecord<zod892.ZodString, zod892.ZodString>>;
    peerDependencies: zod892.ZodOptional<zod892.ZodRecord<zod892.ZodString, zod892.ZodString>>;
    peerDependenciesMeta: zod892.ZodOptional<zod892.ZodRecord<zod892.ZodString, zod892.ZodUnknown>>;
    scripts: zod892.ZodOptional<zod892.ZodRecord<zod892.ZodString, zod892.ZodOptional<zod892.ZodString>>>;
  }, "strip", zod892.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod892.ZodOptional<zod892.ZodString>;
  repository: zod892.ZodString;
  rulesetId: zod892.ZodOptional<zod892.ZodString>;
  title: zod892.ZodString;
  type: zod892.ZodOptional<zod892.ZodUnion<[zod892.ZodLiteral<"commonjs">, zod892.ZodLiteral<"module">]>>;
  version: zod892.ZodOptional<zod892.ZodString>;
  words: zod892.ZodOptional<zod892.ZodArray<zod892.ZodString, "many">>;
  workflowsVersions: zod892.ZodOptional<zod892.ZodRecord<zod892.ZodString, zod892.ZodRecord<zod892.ZodString, zod892.ZodObject<{
    hash: zod892.ZodOptional<zod892.ZodString>;
    pinned: zod892.ZodOptional<zod892.ZodBoolean>;
  }, "strip", zod892.ZodTypeAny, {
    hash?: string | undefined;
    pinned?: boolean | undefined;
  }, {
    hash?: string | undefined;
    pinned?: boolean | undefined;
  }>>>>;
}>;
//# sourceMappingURL=minimal.d.ts.map
//#endregion
export { presetMinimal };
//# sourceMappingURL=minimal.d.ts.map