import * as zod2 from "zod";
import * as bingo_stratum_lib_types_templates_js131 from "bingo-stratum/lib/types/templates.js";

//#region src/template.d.ts
declare const template: bingo_stratum_lib_types_templates_js131.StratumTemplate<{
  access: zod2.ZodUnion<[zod2.ZodLiteral<"public">, zod2.ZodLiteral<"restricted">]>;
  author: zod2.ZodOptional<zod2.ZodString>;
  bin: zod2.ZodOptional<zod2.ZodUnion<[zod2.ZodString, zod2.ZodRecord<zod2.ZodString, zod2.ZodString>]>>;
  contributors: zod2.ZodOptional<zod2.ZodArray<zod2.ZodObject<{
    avatar_url: zod2.ZodString;
    contributions: zod2.ZodArray<zod2.ZodString, "many">;
    login: zod2.ZodString;
    name: zod2.ZodString;
    profile: zod2.ZodString;
  }, "strip", zod2.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod2.ZodDefault<zod2.ZodString>;
  directory: zod2.ZodString;
  documentation: zod2.ZodObject<{
    development: zod2.ZodOptional<zod2.ZodString>;
    readme: zod2.ZodObject<{
      additional: zod2.ZodOptional<zod2.ZodString>;
      explainer: zod2.ZodOptional<zod2.ZodString>;
      footnotes: zod2.ZodOptional<zod2.ZodString>;
      usage: zod2.ZodOptional<zod2.ZodString>;
    }, "strip", zod2.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod2.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod2.ZodEffects<zod2.ZodUnion<[zod2.ZodString, zod2.ZodObject<{
    github: zod2.ZodString;
    npm: zod2.ZodString;
  }, "strip", zod2.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod2.ZodOptional<zod2.ZodString>;
  existingLabels: zod2.ZodOptional<zod2.ZodArray<zod2.ZodObject<{
    color: zod2.ZodString;
    description: zod2.ZodString;
    name: zod2.ZodString;
  }, "strip", zod2.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod2.ZodOptional<zod2.ZodString>;
  guide: zod2.ZodOptional<zod2.ZodObject<{
    href: zod2.ZodString;
    title: zod2.ZodString;
  }, "strip", zod2.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod2.ZodOptional<zod2.ZodArray<zod2.ZodString, "many">>;
  logo: zod2.ZodOptional<zod2.ZodObject<{
    alt: zod2.ZodString;
    height: zod2.ZodOptional<zod2.ZodNumber>;
    src: zod2.ZodString;
    width: zod2.ZodOptional<zod2.ZodNumber>;
  }, "strip", zod2.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod2.ZodObject<{
    minimum: zod2.ZodString;
    pinned: zod2.ZodOptional<zod2.ZodString>;
  }, "strip", zod2.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod2.ZodString;
  packageData: zod2.ZodOptional<zod2.ZodObject<{
    dependencies: zod2.ZodOptional<zod2.ZodRecord<zod2.ZodString, zod2.ZodString>>;
    devDependencies: zod2.ZodOptional<zod2.ZodRecord<zod2.ZodString, zod2.ZodString>>;
    peerDependencies: zod2.ZodOptional<zod2.ZodRecord<zod2.ZodString, zod2.ZodString>>;
    peerDependenciesMeta: zod2.ZodOptional<zod2.ZodRecord<zod2.ZodString, zod2.ZodUnknown>>;
    scripts: zod2.ZodOptional<zod2.ZodRecord<zod2.ZodString, zod2.ZodOptional<zod2.ZodString>>>;
  }, "strip", zod2.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod2.ZodOptional<zod2.ZodString>;
  repository: zod2.ZodString;
  rulesetId: zod2.ZodOptional<zod2.ZodString>;
  title: zod2.ZodString;
  type: zod2.ZodOptional<zod2.ZodUnion<[zod2.ZodLiteral<"commonjs">, zod2.ZodLiteral<"module">]>>;
  version: zod2.ZodOptional<zod2.ZodString>;
  words: zod2.ZodOptional<zod2.ZodArray<zod2.ZodString, "many">>;
  workflowsVersions: zod2.ZodOptional<zod2.ZodRecord<zod2.ZodString, zod2.ZodRecord<zod2.ZodString, zod2.ZodObject<{
    hash: zod2.ZodOptional<zod2.ZodString>;
    pinned: zod2.ZodOptional<zod2.ZodBoolean>;
  }, "strip", zod2.ZodTypeAny, {
    hash?: string | undefined;
    pinned?: boolean | undefined;
  }, {
    hash?: string | undefined;
    pinned?: boolean | undefined;
  }>>>>;
}>;
//# sourceMappingURL=template.d.ts.map
//#endregion
export { template };
//# sourceMappingURL=template.d.ts.map